CRAN Package Check Results for Package geosphere

Last updated on 2015-05-26 06:46:55.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.3-13 1.52 27.82 29.34 OK
r-devel-linux-x86_64-debian-gcc 1.3-13 1.34 28.81 30.16 OK
r-devel-linux-x86_64-fedora-clang 1.3-13 57.01 OK
r-devel-linux-x86_64-fedora-gcc 1.3-13 55.69 OK
r-devel-osx-x86_64-clang 1.3-13 57.49 OK
r-devel-windows-ix86+x86_64 1.3-13 5.00 45.00 50.00 OK
r-patched-linux-x86_64 1.3-13 1.41 27.42 28.82 OK
r-patched-solaris-sparc 1.3-13 345.10 OK
r-patched-solaris-x86 1.3-13 74.50 OK
r-release-linux-x86_64 1.3-13 1.42 28.28 29.70 OK
r-release-osx-x86_64-mavericks 1.3-13 OK
r-release-osx-x86_64-snowleopard 1.3-13 ERROR
r-release-windows-ix86+x86_64 1.3-13 4.00 44.00 48.00 OK
r-oldrel-windows-ix86+x86_64 1.3-13 5.00 50.00 55.00 OK

Check Details

Version: 1.3-13
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘raster’
Flavor: r-release-osx-x86_64-snowleopard

Version: 1.3-13
Check: examples
Result: ERROR
    Running examples in ‘geosphere-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: span
    > ### Title: Span of polygons
    > ### Aliases: span span,SpatialPolygons-method span,matrix-method
    > ### Keywords: methods spatial
    >
    > ### ** Examples
    >
    > pol <- rbind(c(-180,-20), c(-160,5), c(-60, 0), c(-160,-60), c(-180,-20))
    > plot(pol)
    > lines(pol)
    > # lon and lat span in m
    > span(pol, fun=max)
    Loading required namespace: raster
    Failed with error: ‘there is no package called ‘raster’’
    Error in .local(x, ...) :
     you need to install the "raster" package to use this function
    Calls: span -> span -> .local -> span -> span -> .local
    Execution halted
Flavor: r-release-osx-x86_64-snowleopard

Version: 1.3-13
Check: running R code from vignettes
Result: WARN
    Errors in running code in vignettes:
    when running code in ‘geosphere.Rnw’
     ...
     lon lat
    [1,] -57.54653 -28.96994
    
    > span(pol, fun = max)
    Loading required namespace: raster
    Failed with error: ‘there is no package called ‘raster’’
    
     When sourcing ‘geosphere.R’:
    Error: you need to install the "raster" package to use this function
    Execution halted
Flavor: r-release-osx-x86_64-snowleopard

Version: 1.3-13
Check: re-building of vignette outputs
Result: NOTE
    Error in re-building vignettes:
     ...
    Loading required package: sp
    Loading required namespace: raster
    Failed with error: ‘there is no package called ‘raster’’
    
    Error: processing vignette 'geosphere.Rnw' failed with diagnostics:
     chunk 13
    Error in .local(x, ...) :
     you need to install the "raster" package to use this function
    Execution halted
Flavor: r-release-osx-x86_64-snowleopard